CCWGROUP_CREATE_DEV(9)

NAME
ccwgroup_create_dev - create and register a ccw group device

SYNOPSIS

int ccwgroup_create_dev(struct device * parent, struct ccwgroup_driver * gdrv, int num_devices, const char * buf);

ARGUMENTS

parent
    parent device for the new device

gdrv
    driver for the new group device

num_devices
    number of slave devices

buf
    buffer containing comma separated bus ids of slave devices

DESCRIPTION

Create and register a new ccw group device as a child of parent. Slave devices are obtained from the list of bus ids given in buf.

RETURNS

0 on success and an error code on failure.

CONTEXT

non-atomic

AUTHOR

Cornelia Huck <cornelia.huck@de.ibm.com>
    Author.

COPYRIGHT